## xpat2 1.04

=== Makefile ===
# Note: Typing 'make' from this level will rebuild xpat2 from scratch.
#       Afterwards, type 'make install' (as root) to install the game
#	in default directories. A manual is in the doc subdirectory.
#	You may run LaTeX (2.09) on it using 'make manual'.
#
#       You may change src/Imakefile for different configurations.
#       But then, you're on your own...
#
#       Should you add / improve translations, please send a copy to
#       m.bischoff@tu-bs.de for inclusion in future releases.

all:
	(cd src && xmkmf && $(MAKE) && strip xpat2)

manual:
	(cd doc && $(MAKE) xpat2.ps)

# different install targets: imake default, local, Linux FSSTND
install:
	(cd src && $(MAKE) install)

install.local:
	(cd src && $(MAKE) install.local)

install.fsstnd:
	(cd src && $(MAKE) install.fsstnd)


clean:
	(cd src && xmkmf && $(MAKE) clean)
	(cd doc && $(MAKE) clean)
	rm -f src/Makefile src/xpat2X*
	find . -name "*~" -exec rm \{\} \;

distrib:
	$(MAKE) clean
	(cd ..; tar cvfz xpat2-1.04-src.tar.gz xpat2-1.04)

bindistrib:
	(cd /; tar cvfz $(HOME)/xpat2-1.04-bin.tar.gz var/games/xpat* \
	 usr/games/bin/xpat2 usr/man/man6/xpat2.6x usr/doc/xpat2.dvi \
	 usr/doc/xpat2.lsm usr/games/lib/xpat)

allinterfaces:
# select a subset of Xlib Xaw Xview Motif
# 'make install' will use the last one you selected
	for iface in Xlib Xview Xaw;				\
	  do							\
	  rm -f src/X*.o;					\
	  sed -e "1,40s/undef use$$iface/define use$$iface/"	\
	     < src/Imakefile.none > src/Imakefile;		\
	  (cd src && xmkmf && make xpat2 && strip xpat2 &&	\
	     cp xpat2 xpat2$$iface);				\
	  cp lib/XPat.ad.$$iface src/XPat.ad;			\
	done

## xpat2 1.06

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,9 @@
 #       But then, you're on your own...
 #
 #       Should you add / improve translations, please send a copy to
-#       m.bischoff@tu-bs.de for inclusion in future releases.
+#       Michael.Bischoff@gmx.net for inclusion in future releases.
+#	Please ignore any e-mail addresses ending in tu-bs.de, they are
+#	no longer valid.
 
 all:
 	(cd src && xmkmf && $(MAKE) && strip xpat2)
@@ -34,17 +36,17 @@
 
 distrib:
 	$(MAKE) clean
-	(cd ..; tar cvfz xpat2-1.04-src.tar.gz xpat2-1.04)
+	(cd ..; tar cvfz xpat2-1.06-src.tar.gz xpat2-1.06)
 
 bindistrib:
-	(cd /; tar cvfz $(HOME)/xpat2-1.04-bin.tar.gz var/games/xpat* \
+	(cd /; tar cvfz $(HOME)/xpat2-1.06-bin.tar.gz var/games/xpat* \
 	 usr/games/bin/xpat2 usr/man/man6/xpat2.6x usr/doc/xpat2.dvi \
 	 usr/doc/xpat2.lsm usr/games/lib/xpat)
 
 allinterfaces:
-# select a subset of Xlib Xaw Xview Motif
+# select a subset of Xlib Xaw Xview XQt Xm
 # 'make install' will use the last one you selected
-	for iface in Xlib Xview Xaw;				\
+	for iface in Xlib Xm Xview Xaw;				\
 	  do							\
 	  rm -f src/X*.o;					\
 	  sed -e "1,40s/undef use$$iface/define use$$iface/"	\
@@ -53,3 +55,16 @@
 	     cp xpat2 xpat2$$iface);				\
 	  cp lib/XPat.ad.$$iface src/XPat.ad;			\
 	done
+
+# targets from Makefile.Linux with preset directories for the SuSE distribution
+compile.suse:
+	$(MAKE) all \
+		XPATLIBDIR=/usr/X11R6/lib/xpat \
+		XPATMANDIR=/usr/X11R6/man/man6
+
+install.suse:
+	$(MAKE) install \
+		XPATLIBDIR=/usr/X11R6/lib/xpat \
+		XPATMANDIR=/usr/X11R6/man/man6
+	chgrp game /usr/X11/bin/xpat2
+	chmod 2755 /usr/X11/bin/xpat2

## xpat2 1.07

=== Makefile ===
--- 
+++ 
@@ -36,21 +36,22 @@
 
 distrib:
 	$(MAKE) clean
-	(cd ..; tar cvfz xpat2-1.06-src.tar.gz xpat2-1.06)
+	(cd ..; tar cvfz xpat2-1.07-src.tar.gz xpat2-1.07)
 
 bindistrib:
-	(cd /; tar cvfz $(HOME)/xpat2-1.06-bin.tar.gz var/games/xpat* \
+	(cd /; tar cvfz $(HOME)/xpat2-1.07-bin.tar.gz var/games/xpat* \
 	 usr/games/bin/xpat2 usr/man/man6/xpat2.6x usr/doc/xpat2.dvi \
 	 usr/doc/xpat2.lsm usr/games/lib/xpat)
 
 allinterfaces:
-# select a subset of Xlib Xaw Xview XQt Xm
+# select a subset of Xlib Xaw Xview XQt Xm1 Xm2
 # 'make install' will use the last one you selected
-	for iface in Xlib Xm Xview Xaw;				\
+# 	mv src/Xpat.tmpl src/Xpat.tmpl.none
+	for iface in Xlib Xaw XQt Xm1 Xm2;		\
 	  do							\
 	  rm -f src/X*.o;					\
-	  sed -e "1,40s/undef use$$iface/define use$$iface/"	\
-	     < src/Imakefile.none > src/Imakefile;		\
+	  sed -e "1,50s/undef use$$iface/define use$$iface/"	\
+	     < src/Xpat.tmpl.none > src/Xpat.tmpl;		\
 	  (cd src && xmkmf && make xpat2 && strip xpat2 &&	\
 	     cp xpat2 xpat2$$iface);				\
 	  cp lib/XPat.ad.$$iface src/XPat.ad;			\

=== doc/Makefile ===
all: xpat2.dvi

xpat2.ps: xpat2.dvi
	dvips -f < xpat2.dvi > xpat2.ps

xpat2.dvi: xpat2.tex
	latex xpat2
	latex xpat2
	latex xpat2

clean:
	rm -f *~ *.log *.aux *.toc *.dvi *.ps

=== debian/changelog ===
xpat2 (1.07-20+nmu3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace old Debian Menu with .desktop file (Closes: #738075)

 -- Alexandre Detiste <tchet@debian.org>  Tue, 25 Mar 2025 08:15:55 +0100

xpat2 (1.07-20+nmu2) unstable; urgency=medium

  * NMU
  * Import game on Salsa
  * Set "Rules-Requires-Root: binary-targets" (Closes: #1089481)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 19:04:10 +0100

xpat2 (1.07-20+nmu1) unstable; urgency=medium

  * NMU
  * Fix FTBFS for implicit declaration(s). Closes: #1066684

 -- Steve McIntyre <93sam@debian.org>  Thu, 18 Apr 2024 22:21:46 +0100

xpat2 (1.07-20) unstable; urgency=medium

  * maintainer address change
  * loading/saving used incorrect (and non-symbolic) constants
    (Closes: #816381  #818262)

 -- Arne Wichmann <aw@saar.de>  Wed, 02 Nov 2016 11:32:41 +0100

xpat2 (1.07-19) unstable; urgency=low

  * removed obsolete lintian overrides
  * debian/copyright changed to format 1.0 (at the moment only very
    superficionally - theoretically I should go through all the files for
    this, maybe I do that later. patches welcome.)
  * enabled hardening, including a format string patch.
  * some other smaller fixes
  * localization now works if .UTF-8 is appended to language (Closes: #724648)
  * standards version 3.9.4
  * removed non-working icon from appdefaults (Closes: #710491)

 -- Arne Wichmann <aw@linux.de>  Tue, 29 Oct 2013 22:10:04 +0100

xpat2 (1.07-18) unstable; urgency=low

  * dpkg-source format 3.0 (quilt)
  * Documented problem with wrong number of slots (Closes: #526888)
  * Removed libxp-dev build-dependency (Closes: #623663)
  * standards version 3.9.3
  * build-arch, build-indep introduced

 -- Arne Wichmann <aw@linux.de>  Wed, 27 Jun 2012 22:09:45 +0200

xpat2 (1.07-17) unstable; urgency=low

  * added GID handling to switch_uid (Closes: #560087)
  * debhelper version to 7, standards version 3.8.4

 -- Arne Wichmann <aw@linux.de>  Sun, 25 Apr 2010 15:03:39 +0200

xpat2 (1.07-16) unstable; urgency=low

  [ Arne Wichmann ]
  * Lintian: not ignoring make clean error, standards version 3.8.0, no
    linda-override
  * x-dev -> x11proto-core-dev (Closes: #515422)
  * removed dependency on libice6, libxext6, libsm6 (after being given a
    friendly warning that they are not needed); changed from
    dh_installmanpages to dh_installman

  [ Christoph Berg ]
  * Set menu section to Games/Card.
  * Yet another standards version bump to 3.8.1.

 -- Arne Wichmann <aw@linux.de>  Wed, 15 Apr 2009 18:27:38 +0200

xpat2 (1.07-15) unstable; urgency=low

  * xmkmf and friends moved to xutils-dev, changed dependency accordingly
    (Closes: #485721)

 -- Arne Wichmann <aw@linux.de>  Fri, 13 Jun 2008 10:57:19 +0200

xpat2 (1.07-14) unstable; urgency=low

  * Do not strip before dh_strip (Closes: #438316)

 -- Arne Wichmann <aw@linux.de>  Sat, 25 Aug 2007 01:58:38 +0200

xpat2 (1.07-13) unstable; urgency=low

  * New maintainer. Closes: #369407.
  * Explicitly set the size of the initial dialog window (Closes: #147505)

 -- Arne Wichmann <aw@linux.de>  Fri, 22 Sep 2006 15:17:37 +0200

xpat2 (1.07-12) unstable; urgency=low

  * QA upload
  * Set Maintainer to QA Group
  * Conforms to new Standards version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Tue, 20 Jun 2006 14:50:29 +0200

xpat2 (1.07-11) unstable; urgency=low

  * Fix: Klondike unplayable when maximised (Closes: #189295)
    Thanks to Bas Wijnen for the patch.

 -- Luk Claes <luk@debian.org>  Sun, 12 Feb 2006 18:47:14 +0100

xpat2 (1.07-10) unstable; urgency=low

  * Removed Build-Depends on libselinux1-dev (xorg-x11 mistake caused FTBFS).
    Closes: bug#321288.

 -- Luk Claes <luk@debian.org>  Sat, 20 Aug 2005 19:06:54 +0200

xpat2 (1.07-9) unstable; urgency=low

  * Changed email address to luk@debian.org.
  * Updated Standards-Version.
  * Added Build-Depends on libxp-dev and libselinux1-dev
  * Changed shown syntax . -> :

 -- Luk Claes <luk@debian.org>  Thu,  4 Aug 2005 18:36:02 +0200

xpat2 (1.07-8) unstable; urgency=low

  * New maintainer. Closes: bug#242099.
  * debian/control: splitted xlibs-dev dependencies.
  * debian/compat: debhelper version 4
  * src/Imakefile: manpage section 6x -> 6
  * lib/: removed '/' from links
  * debian/conffiles: removed as debhelper takes care of it
  * debian/overrides.Linda: added the overrides also for linda

 -- Luk Claes <luk.claes@ugent.be>  Mon,  7 Jun 2004 18:09:14 +0200

xpat2 (1.07-7) unstable; urgency=low

  * Orphaned.

 -- Joel Rosdahl <joel@debian.org>  Sun,  4 Apr 2004 21:00:01 +0200

xpat2 (1.07-6) unstable; urgency=low

  * Build-depend on libxaw7-dev instead of libxaw-dev. Closes: bug#226544.
  * Standards-Version 3.6.1.

 -- Joel Rosdahl <joel@debian.org>  Wed,  7 Jan 2004 18:21:11 +0100

xpat2 (1.07-5) unstable; urgency=low

  * Changed build dependency on xlib6g-dev to xlibs-dev.
    Closes: bug#170199.
  * Added build dependencies on debhelper >= 3.0.0 and libxaw-dev.
  * Standards-Version 3.5.8.

 -- Joel Rosdahl <joel@debian.org>  Sat, 25 Jan 2003 23:16:08 +0100

xpat2 (1.07-4) unstable; urgency=low

  * Fixed a bug introduced in 1.07-3. Closes: bug#162461.

 -- Joel Rosdahl <joel@debian.org>  Thu, 26 Sep 2002 19:49:07 +0200

xpat2 (1.07-3) unstable; urgency=low

  * Exit with error when xpmdir is too long. Let some buffers that should
    be able to hold an xpmdir be sufficiently large. Closes: bug#154292.

 -- Joel Rosdahl <joel@debian.org>  Fri, 20 Sep 2002 21:19:03 +0200

xpat2 (1.07-2) unstable; urgency=low

  * Added French translation of the Oonsoo game.  Closes: bug#135938.

 -- Joel Rosdahl <joel@debian.org>  Tue, 26 Feb 2002 21:45:54 +0100

xpat2 (1.07-1) unstable; urgency=low

  * New upstream version.
  * Removed irrelevant information from man page.  Closes: bug#111094.
  * Standards-Version 3.5.6.
  * Moved to DH_COMPAT=3.

 -- Joel Rosdahl <joel@debian.org>  Sun,  7 Oct 2001 10:03:38 +0200

xpat2 (1.06-8) unstable; urgency=low



=== debian/control ===
Source: xpat2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Arne Wichmann <aw@saar.de>,
Standards-Version: 3.9.4
Build-Depends:
 debhelper (>= 7.0.0),
 libx11-dev,
 libxaw7-dev,
 libxmu-dev,
 libxpm-dev,
 libxt-dev,
 x11proto-core-dev,
 xutils-dev,
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/games-team/xpat2.git
Vcs-Browser: https://salsa.debian.org/games-team/xpat2
X-Style: black

Package: xpat2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Generic patience game for X11
 xpat2 is a generic patience game which can be used with different rule
 sets. It does understand the rules of the well-known Spider game, as
 well as Klondike and others.
 .
 This program may have difficulties to start if you have an 8-bit or
 monochrome display.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1


ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
  CDEBUGFLAGS += -O0
else
   CDEBUGFLAGS += -O2 -fno-strict-aliasing
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
   MAKEFLAGS += -j$(NUMJOBS)
endif

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	dh_auto_build -v --  XPATLIBDIR=/usr/share/games/xpat \
	  SCOREFILE=/var/games/xpat2/xpat.log \
	  EXTRA_DEFINES="$(shell dpkg-buildflags --get CPPFLAGS)" \
	  CCOPTIONS="$(shell dpkg-buildflags --get CFLAGS)" \
	  EXTRA_LDOPTIONS="$(shell dpkg-buildflags --get LDFLAGS)"
	# lintian complains about symlink ending with slash
	-rm lib/de_DE; ln -s german lib/de_DE
	-rm lib/it_IT; ln -s italian lib/it_IT
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-rm -f build-stamp
	# otherwise dpkg-buildpackage barfs
	-rm lib/de_DE; ln -s german/ lib/de_DE
	-rm lib/it_IT; ln -s italian/ lib/it_IT
	$(MAKE) clean
	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) BINDIR=../debian/xpat2/usr/games \
	  LIBDIR=../debian/xpat2/usr/X11R6/lib/X11 \
	  XPATLIBDIR=../debian/xpat2/usr/share/games/xpat \
	  XPATMANDIR=../debian/xpat2/usr/share/man/man6 \
	  APPDEFSDIR=../debian/xpat2/etc/X11 \
	  XAPPLOADDIR=../debian/xpat2/etc/X11/app-defaults \
	  prefix=../debian/xpat2/usr install
	chmod -x debian/xpat2/usr/share/games/xpat/audio/cannotsave.wav \
		 debian/xpat2/usr/share/games/xpat/audio/giveup.wav \
		 debian/xpat2/usr/share/games/xpat/audio/goodbye.wav \
		 debian/xpat2/usr/share/games/xpat/audio/success.wav
	cp debian/override.Lintian debian/xpat2/usr/share/lintian/overrides/xpat2
	dh_installdocs etc/CREDITS etc/PORTING etc/TODO
	dh_installexamples
	dh_install
	dh_installman
	dh_installchangelogs etc/ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	chown -R root.games debian/xpat2/var/games/xpat2
	chown root.games debian/xpat2/usr/games/xpat2
	chmod 2775 debian/xpat2/var/games/xpat2
	chmod 2755 debian/xpat2/usr/games/xpat2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
opts=pasv ftp://sunsite.unc.edu/pub/Linux/games/solitaires/xpat2-(.*)-src\.tar\.gz
